#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;

void op(int& x, int &y){
    int i=x&y, ili=x|y;
    x=ili;
    y=i;
}

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);
    int n; cin >> n;
    vector<int> a(n),b(n);
    for(int i=0; i<n; i++)cin >> a[i];
    b=a;
    int q; cin >> q;
    while(q--){
        int t; cin >> t;
        int k; cin >> k; k--;
        if(t==0){
            for(int i=0; i<n; i++){
                for(int j=i+1; j<n; j++){
                    op(b[i],b[j]);
                }
            }
            cout << b[k] << '\n';
            b=a;
        }
        else {
            int x; cin >> x;
            a[k]=x;
            b[k]=x;
        }
    }
    return 0;
}